Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 163795

Summary: Dropped ~mips and ~hppa from kde 3.5.6 ebuilds
Product: Gentoo Linux Reporter: Diego Elio Pettenò (RETIRED) <flameeyes>
Component: New packagesAssignee: Gentoo KDE team <kde>
Status: VERIFIED INVALID    
Severity: normal CC: ahf, dma147, mips
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Diego Elio Pettenò (RETIRED) gentoo-dev 2007-01-25 18:52:11 UTC
As per summary, I had to drop ~mips and ~hppa because of kdelibs-3.5.6 missing the keywords.

Please fix as you find time.

Thanks,
Diego
Comment 1 Stephen Becker (RETIRED) gentoo-dev 2007-01-25 19:08:36 UTC
(In reply to comment #0)
> As per summary, I had to drop ~mips and ~hppa because of kdelibs-3.5.6 missing
> the keywords.
> 
> Please fix as you find time.
> 
> Thanks,
> Diego
>

You know Diego, you could have tried poking somebody about keywording the new kdelibs *before* needlessly dropping a shitload of keywords.  But whatever, I'm retiring soon, so if somebody else wants to bother re-adding everything, they can.
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2007-01-25 20:52:44 UTC
You mean beside bug #152153?
Comment 3 Stephen Becker (RETIRED) gentoo-dev 2007-01-25 22:35:24 UTC
(In reply to comment #2)
> You mean beside bug #152153?
> 

Uh, that bug is restricted, so I have no idea what you are talking about.  Anyway, it wouldn't have been any skin off your back to pop into #-mips and say, "Hey, I'll drop these keywords in a couple days if you don't keyword the new kdelibs."  Dropping keywords for huge packages on mips is *extremely* painful for our users.  When it takes probably two days just to build something like kdelibs on most of our supported configurations, users aren't happy when they get downgraded without a good reason other than the maintainer of said package decided to do it without a quick poke to the arch team.
Comment 4 Diego Elio Pettenò (RETIRED) gentoo-dev 2007-01-25 22:42:33 UTC
First, I'm sorry I got the wrong bug number. Bug #152818 is the right one. Too many kdelibs bugs to not be confused on a quick search.

Second, there's no downgrade actually happening: kde-3.5.6 was masked until today, and I dropped the keyword right after package.mask, because [R]DEPEND were bad.

Third, I mailed mips@gentoo.org last week about kdegraphics, that is still not fixed, I suppose somebody could have looked up if there was something else needing to be fixed too.

Fourth, I'm not arches baby sitter, I'm not going to spend my time trying to poke mips, as I already do that quite enough of times, while bugs sit there for a _lot_ of time.

I could have dropped the keyword on kdegraphics, but as *there* it would be a downgrade, I haven't and I'm still using repoman commit -I to commit changes to that package, that is broken for months now.

So you can whine all you want, but if your arch team is unable to maintain the keywords, I don't really want to keep spending time poking people for every damn version bump I need!
Comment 5 Luca Barbato gentoo-dev 2007-01-25 22:49:40 UTC
I tried to get to you when Diego was on vacation and I got no positive reply too, sorry...
Comment 6 Stephen Becker (RETIRED) gentoo-dev 2007-01-25 23:03:46 UTC
(In reply to comment #4)
> First, I'm sorry I got the wrong bug number. Bug #152818 is the right one. Too
> many kdelibs bugs to not be confused on a quick search.

Same difference, another keyword dropping bug.  I've been all but completely inactive in the time since that was filed.

 
> Second, there's no downgrade actually happening: kde-3.5.6 was masked until
> today, and I dropped the keyword right after package.mask, because [R]DEPEND
> were bad.

Ok, I thought you unmasked it yesterday, but I guess you didn't.

> 
> Third, I mailed mips@gentoo.org last week about kdegraphics, that is still not
> fixed, I suppose somebody could have looked up if there was something else
> needing to be fixed too.

I completely missed that email, but it isn't surprising given that I've been using pretty much ever free minute to work on my PhD thesis over the past month.  It wouldn't have hurt you any to follow up on that email to make sure somebody actually read it.

> 
> Fourth, I'm not arches baby sitter, I'm not going to spend my time trying to
> poke mips, as I already do that quite enough of times, while bugs sit there for
> a _lot_ of time.

I'm not suggesting that you should be a babysitter.  I'm suggesting that before you do something that clobbers a significant portion of the deptree, you should give a courtesy shout beforehand.  Bluntly, dropping and then saying "tough shit" is just being a dick.

> 
> I could have dropped the keyword on kdegraphics, but as *there* it would be a
> downgrade, I haven't and I'm still using repoman commit -I to commit changes to
> that package, that is broken for months now.
> 
> So you can whine all you want, but if your arch team is unable to maintain the
> keywords, I don't really want to keep spending time poking people for every
> damn version bump I need!

Then perhaps you shouldn't be maintaining packages if you aren't willing to give arch teams common courtesy.
Comment 7 Jeroen Roovers (RETIRED) gentoo-dev 2007-01-25 23:51:08 UTC
(In reply to comment #0)
> As per summary, I had to drop ~mips and ~hppa because of kdelibs-3.5.6 missing
> the keywords.

Ignoring the flamefest, and without even peeking at the CVS tree, could you tell me why hppa is CC'd on this bug. I took care of bug #152818 and un-CC'd a couple of days back (the 21st in Bugzilla Standard Time). If anything is still blocking the march of this new KDE version on HPPA hardware, please tell.

> Please fix as you find time.

Assuming you used a script to remove all the keywords, it would be best if we actually worked together on this: I take care of any remaining dependencies you find HPPA needs, and you reverse whatever you did by adapting your script and file a proper stabilisation bug in due time.

If you really did what I think you did, I must say that is the most destructive act I have ever seen in a year's experience as a Gentoo dev. That's why I won't peek at what might have happened: spell it out for me.
Comment 8 Diego Elio Pettenò (RETIRED) gentoo-dev 2007-01-26 00:14:20 UTC
You keyworded latest revision of kdelibs-3.5.5, not of 3.5.6.

As KDE 3.5.6 ebuilds are depending on kdelibs 3.5.6, and you didn't have your keyword on that one, I've dropped the ~hppa keyword from 3.5.6 package to satisfy repoman.
Comment 9 Ciaran McCreesh 2007-01-26 01:50:19 UTC
Methinks QA might have something to say about this blatant QA violation...
Comment 10 Luca Barbato gentoo-dev 2007-01-26 02:04:12 UTC
Yup, not keywording in a timely fashion even if all strides had been made is quite annoying, still it isn't a QA issue, at worst you don't get some stuff in ~ while other arches are, but nothing would break. It is still better than the previous blanket ~ (I still remember gnome being broken on ppc because some upstream bad assumptions about pmu...)

Still, no harm done, beside adding load to the buzie db...
Comment 11 Seemant Kulleen (RETIRED) gentoo-dev 2007-01-26 05:06:57 UTC
OK, this is strange.  I realise that there are personal issues involved in this, however, from what I can tell, Diego made a good faith effort to inform arch teams.  It seems that the other arches responded to his minimal poking, and the mips team ignored his _extra_ poking.  I don't think the onus is on him to "make sure someone responded" since MIPS isn't his bailiwick, KDE is, so he's correct: he shouldn't have to babysit that team.

If the issue is partly that MIPS is understaffed, then that should be brought to the recruiters' attention or something.  Naturally, something like KDE would be a bit hard on remote terminal, but surely some users out there have mips machines that they're willing to test on?
Comment 12 Stephen Becker (RETIRED) gentoo-dev 2007-01-26 12:28:24 UTC
(In reply to comment #11)
> OK, this is strange.  I realise that there are personal issues involved in
> this, however, from what I can tell, Diego made a good faith effort to inform
> arch teams.  It seems that the other arches responded to his minimal poking,
> and the mips team ignored his _extra_ poking.  I don't think the onus is on him
> to "make sure someone responded" since MIPS isn't his bailiwick, KDE is, so
> he's correct: he shouldn't have to babysit that team.

Nobody ever suggested he should babysit anyone.  A quick "/join #-mips; hey, kdelibs needs to be keyworded or the rest gets dropped in a couple days" is not babysitting, it's courtesy, and other maintainers are always sensible like this.  The gnome guys are spectacular about keeping arch teams informed when there might be a problem...why can't the kde guys offer the same professional courtesy?  For whatever reason, Diego has some sort of complex about talking to people on irc recently, so if he wants to hide behind bugzilla and then be a dick when people get upset...well whatever.  If bugzilla is his cup of tea now, a bug to mips and hppa saying "keyword kdelibs or the rest gets dropped in a couple days" would have been nice.  It also doesn't help that our KDE guy has pretty much gone totally MIA.

As for "extra" poking, we (mips) received none for the issue at hand.  This "extra" poking of which you speak was for an unrelated matter to keywording kdelibs-3.5.6.  It is also clear that hppa had no idea in the slightest what was going on.  I guess it is t3h hotn3ss these days to do whatever and let other folks deal with the fallout.

 
> If the issue is partly that MIPS is understaffed, then that should be brought
> to the recruiters' attention or something.  Naturally, something like KDE would
> be a bit hard on remote terminal, but surely some users out there have mips
> machines that they're willing to test on?

Yes, we are ridiculously understaffed, and are about to be -1 whenever I get around to officially announcing my retirement, which will pretty much bring mips to about 2 active devs.  If we had any users who were competent enough to be arch testers, we would have recruited them as developers loooooooooong ago.  Well, I suppose eroyf joined up, but he's the exception.  Unfortunately, most of the potential users in the past year or two have been the "can I run gentoo on my wireless router with 4mb of disk space and 8mb of RAM???!!111???one!" guys.  In the past I have offered hardware directly to desktop type folks, and the interest was the cold side of lukewarm at best.

But yeah, unless we recruit some new blood, mips will probably completely die within the next year.  Yet, they must be competent folks.  Think of the type of people working on gentoo/sparc.  Recruiting devs for the sake of adding bodies would likely lead to a bad situation, and I know we do not want that.  Nobody wants a genstef or a bonsaikitten type on the team.
Comment 13 Jeroen Roovers (RETIRED) gentoo-dev 2007-01-26 15:11:38 UTC
I fail to see the purpose of filing a bug just to make a statement. An e-mail to hppa@ would have sufficed to get that news out. Nothing to do, HPPA is done here, especially since reading all this simply makes me sick. If there is a 3.5.6 stabilisation bug pending, please CC hppa@ on that.
Comment 14 Alexander Færøy 2007-01-26 17:29:38 UTC
I will look at this for the MIPS team when I have reinstalled my o2 machine :)

-- Alex
Comment 15 Seemant Kulleen (RETIRED) gentoo-dev 2007-01-27 03:36:45 UTC
just to close this out, mips team can please check your inboxes for an email *specifically for you* from Diego about the keywording and what his request was.  I would consider that an extra mips poke, what do you think?  That dissolves the accusation of anyone hiding behind bugzilla to be a dick.  It does show that Diego not only filed a bug and CC'd mips (which is the least that is required, per policy), but he also showed you guys specifically what needed to be done.

Alex responded about the ldap issue, but he couldn't do much about the rest for his slow mips.

Honestly, the ball was and is in mips' court.  While I sympathise with you about being understaffed (and I do!), I don't think there's anyone else to blame on this.  Diego did what we would expect anyone to do, per the policy.  Had he left keywords as they were, you would've been pissed off at him for allowing a mix of masked/unmasked things to be exposed to your users.

So, I think it's time to move beyond this non-issue and on to address the real issue, which is mips state of being understaffed.

I'm happy to help strategise something with you guys, should you wish it.
Comment 16 Ciaran McCreesh 2007-01-27 03:47:21 UTC
Diego sent a moderately dickish email to mips@ beforehand. What he's deliberately not pointing out is that it was Genstef screwing up and violating policy that caused all this mess to begin with.
Comment 17 Alexander Færøy 2007-01-28 19:39:12 UTC
bug #164176
Comment 18 Daniel Herzog 2007-02-18 20:17:34 UTC
This is not an accusation, neither am I on anybodys side.

There are a couple of respectable users who discussed this bug today on IRC, considering not the actual content, but the general working atmosphere.
Not only do I want to remind of what Alec Warner (antarus) recently posted on -dev ( http://archives.gentoo.org/gentoo-dev/msg_142374.xml ) but I'd also like to add that it is helpfull for you, your keyboard, and everyone else to make sure one is calmed down before starting to write anything.
This is an advantage that e-mails, bugs and even IRC provide over real life:
   There is no need for immediate response.
Better take a break to calm down first, you dont earn money and you work here for fun. Never forget that you do this just for yourself.

It should be remembered that "The highest as the lowest form of criticism is a mode of autobiography."
Comment 19 David Grant 2007-02-18 21:58:14 UTC
I'm a user and it looks to me like this whole thread can be summed up pretty simply: this Stephen Becker guy is being an asshat because he's planning on retiring really soon (he mentioned it twice). Someone should retire his ass for him.
Comment 20 Ciaran McCreesh 2007-02-18 22:03:04 UTC
(In reply to comment #19)
> I'm a user and it looks to me like this whole thread can be summed up pretty
> simply: this Stephen Becker guy is being an asshat because he's planning on
> retiring really soon (he mentioned it twice). Someone should retire his ass for
> him.

Did you ever stop to consider that a) he's entirely right and b) that Diego fixing a few things and blogging about it incessantly does not give him the right to royally screw up the tree?
Comment 21 Stephen Becker (RETIRED) gentoo-dev 2007-02-18 22:17:47 UTC
(In reply to comment #19)
> I'm a user and it looks to me like this whole thread can be summed up pretty
> simply: this Stephen Becker guy is being an asshat because he's planning on
> retiring really soon (he mentioned it twice). Someone should retire his ass for
> him.
> 

How about not using a resolved bug as a platform to bitch about things of which you know little.  We've been dealing with people invalidly dropping and/or adding keywords for years, and know a thing or two about how things are supposed to work.  Thanks.
Comment 22 Jakub Moc (RETIRED) gentoo-dev 2007-02-18 23:15:44 UTC
(In reply to comment #21)
> We've been dealing with people invalidly dropping and/or
> adding keywords for years, and know a thing or two about how things are
> supposed to work.  Thanks.

*Invalidly* dropping KDE keywords *just* because kdelibs is not keyworded? Oh right, you seen to know a lot about KDE, QA lead is the proper position for you apparently. :P How about that you retire finally, instead of just talking about it (talking loudly about stuff and getting nothing done appears to be your domain apparently anyway).
Comment 23 Stephen Becker (RETIRED) gentoo-dev 2007-02-18 23:30:55 UTC
(In reply to comment #22)
> (In reply to comment #21)
> > We've been dealing with people invalidly dropping and/or
> > adding keywords for years, and know a thing or two about how things are
> > supposed to work.  Thanks.
> 
> *Invalidly* dropping KDE keywords *just* because kdelibs is not keyworded? Oh
> right, you seen to know a lot about KDE, QA lead is the proper position for you
> apparently. :P How about that you retire finally, instead of just talking about
> it (talking loudly about stuff and getting nothing done appears to be your
> domain apparently anyway).
> 

As usual jakub, you don't know what you're talking about.  You seem really good at talking loudly...well, because you don't actually know anything, so you think being loud is better than nothing at all.  As for my retirement, I made my intentions to retire *well* known to kloeri long before all this bullshit happened, so the ball is in his court (and has been for some time).
Comment 24 Jakub Moc (RETIRED) gentoo-dev 2007-02-18 23:40:01 UTC
(In reply to comment #23)
> I made my intentions to retire *well* known to kloeri long before all this bullshit
> happened, so the ball is in his court (and has been for some time).
> 

Maybe go reopen Bug 64840 then, you know that's how things are normally done, no rocket science. It will speed up the process and make air a bit more breatheable here.
Comment 25 Stephen Bennett (RETIRED) gentoo-dev 2007-02-18 23:47:16 UTC
Shut up the lot of you. The bug is marked resolved; leave it be.
Comment 26 Daniel Herzog 2007-02-19 00:08:11 UTC
> I'm a user and it looks to me like this whole thread can be summed up pretty
> simply: this Stephen Becker guy is being an asshat because he's planning on
> retiring really soon (he mentioned it twice). Someone should retire his ass
> for him.

This is exactly the kind of posts which I dislike if the relatively closed team of developers is responsible for them, because of several reasons like it destroys productivity, fun, appearence of Gentoo as such, as well as themselves, and, as I thought was well known, also courts the resentment of those users who have been using Gentoo for a relatively long time, writing ebuilds and patches, as they are those who do get in touch with the hostility when reading bugs which in turn is not seldomly projected onto the project instead of those impolite developers as both are associated.
Bad messages likely spread faster than good ones and often are remembered for a longer time...
Yes, things like these are indeed well noticed by the community. (I did not say "understood".)

(It is not that bad if a normal user does so, although it adds to the --omg-optimized/funroll-loops.org-cliché, is bad behaviour, and so on.)
Comment 27 Jakub Moc (RETIRED) gentoo-dev 2007-02-19 00:15:41 UTC
(In reply to comment #26)
> This is exactly the kind of posts which I dislike if the relatively closed team
> of developers is responsible for them, because of several reasons like it
> destroys productivity, fun, appearence of Gentoo as such, as well as
> themselves, and, as I thought was well known, also courts the resentment of
> those users who have been using Gentoo for a relatively long time

The kind of behaviour that our QA lead and mips team member (together with an kicked out ex-dev) have shown here, and the attitude of mips team in general has caused us to lose yet another great developer [1]. So much for increasing productivity and fun w/ Gentoo.

[1] http://farragut.flameeyes.is-a-geek.org/articles/2007/02/18/im-tired-of-being-insulted

(In reply to comment #25)
> Shut up the lot of you. The bug is marked resolved; leave it be.

Gah, you're even unable to get your ass properly retired, how pathetic.
 
Comment 28 Ciaran McCreesh 2007-02-19 00:22:49 UTC
(In reply to comment #27)
> The kind of behaviour that our QA lead and mips team member (together with an
> kicked out ex-dev) have shown here, and the attitude of mips team in general
> has caused us to lose yet another great developer [1]. So much for increasing
> productivity and fun w/ Gentoo.

You *are* aware that spb and spbecker are two different people, right?
Comment 29 Jakub Moc (RETIRED) gentoo-dev 2007-02-19 00:33:13 UTC
(In reply to comment #28)
> You *are* aware that spb and spbecker are two different people, right?

Yeah, sure I'm aware, though hard to notice otherwise, their attitude is completely identical otherwise; getting them both retired would be a boon indeed.
Comment 30 Alexander Mieland 2007-02-19 11:11:50 UTC
I have a dream that one day I will be able to file a bug without starting a flamewar of unprecedented length.
I have a dream that one day I will be able to join #gentoo-dev without having to fear being attacked without a specific reason.
I have a dream that one day I will be able to submit proposals to developers or mailinglists without starting a religious war, a so-called debate on principles.
I have a dream that one day this kind of useless discussions will not be public anymore, not unsettling the users anymore.
I have a dream that one day the majority of developers will not maintain silence, if a single one is verbally slandered by others.
I have a dream that one day the Gentoo Developer Relations project is able to cope with its task.
I have a dream that one day the engagement of all who are developers just for fun is not dampened but strengthened.
I have a dream that one day new and innovative projects are at least considered, and given a fair chance.

A user and victim.

Comment 31 Alexander Færøy 2007-02-19 12:24:14 UTC
(In reply to comment #30)
I have a dream that one day people will look at the case as a whole. Do their homework before they post useless messages to an already closed bugs.

If you have any complaints to the MIPS team feel free to join #Gentoo-MIPS on Freenode and talk with our development team.

BUT! If your comment on this bug is going to be about anything not MIPS related, please think about it once again before you post anything -- This bug has been fixed already.

Also, I am sorry to everyone on the CC for having to listen to Jakub's useless comments -- please just ignore it.
Comment 32 reaVer 2007-03-22 01:09:36 UTC
(In reply to comment #31)
> (In reply to comment #30)
> I have a dream that one day people will look at the case as a whole. Do their
> homework before they post useless messages to an already closed bugs.
> 
> If you have any complaints to the MIPS team feel free to join #Gentoo-MIPS on
> Freenode and talk with our development team.
> 
> BUT! If your comment on this bug is going to be about anything not MIPS
> related, please think about it once again before you post anything -- This bug
> has been fixed already.
> 
> Also, I am sorry to everyone on the CC for having to listen to Jakub's useless
> comments -- please just ignore it.
> 

I'm kinda not likely to respond to this kind of stuff, but you all need to straighten up your own act. My point of view as a user is pretty much: dev a likes this and modifies it that way... next upgrade: appearantly dev b changed it to something he liked and changed it to his way. And thanks to the latter I can pretty much reconfigure my entire system more often then I'd like too. And appearantly some sort of mechanism is not bothering to check that these things get in properly and don't change for a long time. Someone I know tried to run stable arch and even failed doing so, where's the stability in that?:/

Further more the first guy posting seems already annoyed before he actually started this bugthread. And then everyone even bothers to fuel his rage with nitpicking about stuff that's actually pretty little. With that bug post he informed both mips and hppa that he did it and why he did it. And actually his reasoning seems pretty sound to me.
Comment 33 Charlie Shepherd (RETIRED) gentoo-dev 2007-03-22 06:36:26 UTC
(In reply to comment #32)
This bug is dead. Please leave it that way.